@import "src/assets/styles/00-settings/settings";

.profile-wrapper {
  background-color: white;
  box-shadow: $default-shadow;
  border-radius: 5px;
  color: white;

  .profile-container {
    background-color: rgba($color-background-secondary, .5);
    height: 100%;
    box-shadow: $default-shadow;

    .profile-section {
      padding: 10px;
      border-bottom: 1.5px rgba($color-background-secondary, .6) solid;
      display: flex;
      flex-direction: column;

      &:last-child {
        border: none;
      }

      .wrapper-link {
        transition: $default-delay;
        padding: 10px;
        display: flex;
        align-items: center;
        border-radius: $default-radius;
        cursor: pointer;

        &:hover {
          background-color: rgba($color-background-secondary, .6);
        }
      }
    }

    .profile-header {
      flex-direction: row;
      align-items: center;

      .header-picture {
        margin: 0 10px;
        $picture-size: 50px;
        width: $picture-size;
        height: $picture-size;
        border-radius: 50%;
      }

      .header-title {
        margin: 0;
      }
    }

    .profile-body {

    }

    .profile-footer {

    }
  }
}
